/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




// ----------------------------------------------------------------
// Sample captured at: 2015-11-01 01:31:00 local, 2015-11-01 09:31:00 GMT
AlgDlsMinuteData *activity_sample_2015_11_01_01_31_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME temp_113136
  //> TEST_VERSION 2
  //> TEST_TOTAL 325
  //> TEST_TOTAL_MIN 300
  //> TEST_TOTAL_MAX 400
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT -1
  //> TEST_START_AT_MIN -1
  //> TEST_START_AT_MAX -1
  //> TEST_END_AT -1
  //> TEST_END_AT_MIN -1
  //> TEST_END_AT_MAX -1
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light}
  static AlgDlsMinuteData samples[] = {
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 143},
    // 15: Local time: 01:46:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 141},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 30: Local time: 02:01:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 45: Local time: 02:16:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 60: Local time: 02:31:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 141},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 75: Local time: 02:46:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 90: Local time: 03:01:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 141},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 142},
    // 105: Local time: 03:16:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 120: Local time: 03:31:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 141},
    // 135: Local time: 03:46:01 AM
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 150: Local time: 04:01:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 165: Local time: 04:16:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 180: Local time: 04:31:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 142},
    // 195: Local time: 04:46:00 AM
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 142},
    // 210: Local time: 05:01:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 225: Local time: 05:16:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 141},
    // 240: Local time: 05:31:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 255: Local time: 05:46:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 142},
    // 270: Local time: 06:02:00 AM
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 143},
    { 0, 0x7b, 0, 146},
    { 0, 0x7b, 0, 146},
    { 0, 0x7b, 0, 146},
    { 0, 0x7b, 0, 147},
    { 0, 0x7b, 0, 145},
    { 0, 0x7b, 0, 148},
    { 0, 0x7b, 0, 148},
    { 0, 0x7b, 0, 149},
    { 0, 0x7b, 0, 150},
    { 0, 0x7b, 0, 147},
    // 285: Local time: 06:17:00 AM
    { 0, 0x7b, 0, 150},
    { 0, 0x7b, 0, 152},
    { 0, 0x7b, 0, 153},
    { 0, 0x7b, 0, 153},
    { 0, 0x7b, 0, 151},
    { 0, 0x7b, 0, 155},
    { 0, 0x7b, 0, 156},
    { 0, 0x7b, 0, 156},
    { 0, 0x7b, 0, 157},
    { 0, 0x7b, 0, 155},
    { 0, 0x7b, 0, 158},
    { 0, 0x7b, 0, 160},
    { 0, 0x7b, 0, 161},
    { 0, 0x7b, 0, 161},
    { 0, 0x7b, 0, 158},
    // 300: Local time: 06:32:00 AM
    { 0, 0x7b, 0, 162},
    { 0, 0x7b, 0, 163},
    { 0, 0x7b, 0, 164},
    { 0, 0x7b, 0, 165},
    { 0, 0x7b, 0, 162},
    { 0, 0x7b, 0, 166},
    { 0, 0x7b, 0, 166},
    { 0, 0x7b, 0, 167},
    { 0, 0x7b, 0, 168},
    { 0, 0x7b, 0, 165},
    { 0, 0x7b, 0, 169},
    { 0, 0x7b, 0, 169},
    { 0, 0x7b, 0, 170},
    { 0, 0x7b, 0, 171},
    { 0, 0x7b, 0, 169},
    // 315: Local time: 06:47:00 AM
    { 0, 0x7b, 0, 172},
    { 0, 0x7b, 0, 176},
    { 0, 0x7b, 0, 179},
    { 0, 0x7b, 0, 180},
    { 0, 0x7b, 0, 178},
    { 0, 0x7b, 0, 182},
    { 0, 0x7b, 0, 182},
    { 0, 0x7b, 0, 183},
    { 0, 0x7b, 0, 184},
    { 0, 0x7b, 0, 181},
    { 0, 0x7b, 0, 184},
    { 0, 0x7b, 0, 185},
    { 0, 0x7b, 0, 185},
    { 0, 0x7b, 0, 185},
    { 0, 0x7b, 0, 182},
    // 330: Local time: 07:02:00 AM
    { 0, 0x7b, 0, 186},
    { 0, 0x7b, 0, 186},
    { 0, 0x7b, 0, 186},
    { 0, 0x7b, 0, 186},
    { 0, 0x7b, 0, 184},
    { 0, 0x7b, 0, 187},
    { 0, 0x7b, 0, 188},
    { 0, 0x7b, 0, 188},
    { 0, 0x7b, 0, 187},
    { 0, 0x7b, 0, 184},
    { 0, 0x7b, 0, 188},
    { 0, 0x7b, 0, 188},
    { 0, 0x7b, 0, 188},
    { 0, 0x7b, 0, 189},
    { 0, 0x7b, 0, 185},
    // 345: Local time: 07:17:00 AM
    { 0, 0x7b, 0, 186},
    { 0, 0x7b, 0, 182},
    { 0, 0x7b, 0, 184},
    { 0, 0x7b, 0, 190},
    { 0, 0x7b, 0, 186},
    { 0, 0x7b, 0, 187},
    { 0, 0x7b, 0, 186},
    { 0, 0x7b, 0, 190},
    { 0, 0x7b, 0, 189},
    { 0, 0x6e, 1273, 200},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 190},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 179},
    { 0, 0x6e, 0, 180},
    // 360: Local time: 07:32:00 AM
    { 0, 0x6e, 0, 182},
    { 0, 0x6e, 0, 185},
    { 0, 0x6e, 0, 185},
    { 0, 0x6e, 0, 184},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 201},
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 151},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 194},
    // 375: Local time: 07:47:00 AM
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 201},
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 189},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 196},
    // 390: Local time: 08:02:00 AM
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    // 405: Local time: 08:17:00 AM
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    // 420: Local time: 08:32:00 AM
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    // 435: Local time: 08:47:00 AM
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 201},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 192},
    // 450: Local time: 09:02:00 AM
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 201},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 201},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 192},
    { 0, 0x6e, 0, 191},
    { 0, 0x6e, 0, 190},
    { 0, 0x6e, 0, 190},
    // 465: Local time: 09:17:00 AM
    { 0, 0x6e, 0, 190},
    { 0, 0x6e, 0, 191},
    { 0, 0x6e, 0, 191},
    { 0, 0x6e, 0, 192},
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 192},
    { 0, 0x6e, 0, 191},
    { 0, 0x6e, 0, 191},
    { 0, 0x6e, 0, 192},
    { 0, 0x6e, 0, 191},
    { 0, 0x6e, 0, 191},
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 193},
    // 480: Local time: 09:32:00 AM
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 198},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 198},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 198},
    // 495: Local time: 09:47:00 AM
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    // 510: Local time: 10:02:00 AM
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 201},
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 198},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 198},
    // 525: Local time: 10:17:00 AM
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 201},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 198},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    // 540: Local time: 10:32:00 AM
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 206},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 201},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 206},
    // 555: Local time: 10:47:00 AM
    { 0, 0x6e, 0, 206},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 206},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 205},
    // 570: Local time: 11:02:00 AM
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 206},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 206},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    // 585: Local time: 11:17:00 AM
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 1, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    // 600: Local time: 11:32:00 AM
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 198},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 205},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 197},
    // 615: Local time: 11:47:00 AM
    { 0, 0x6e, 0, 198},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 198},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 1, 204},
    { 0, 0x6e, 1, 204},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 201},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 204},
    // 630: Local time: 12:02:00 PM
    { 0, 0x6e, 0, 203},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 198},
    { 0, 0x6e, 0, 204},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 202},
    // 645: Local time: 12:17:00 PM
    { 0, 0x6e, 0, 202},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 198},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 197},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 194},
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 193},
    { 0, 0x6e, 0, 192},
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 196},
    { 0, 0x6e, 0, 201},
    // 660: Local time: 12:32:00 PM
    { 0, 0x6e, 0, 200},
    { 0, 0x6e, 0, 199},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 195},
    { 0, 0x6e, 0, 194},
    { 0, 0x6f, 0, 194},
    { 0, 0x6f, 0, 195},
    { 0, 0x6f, 0, 197},
    { 0, 0x6f, 0, 197},
    { 0, 0x6f, 0, 197},
    { 0, 0x6f, 0, 197},
    { 0, 0x6f, 0, 197},
    { 0, 0x6f, 0, 197},
    { 0, 0x6f, 0, 197},
    { 0, 0x6f, 0, 197},
    // 675: Local time: 12:47:00 PM
    { 0, 0x6f, 0, 197},
    { 0, 0x6f, 0, 196},
    { 0, 0x6f, 0, 195},
    { 0, 0x6f, 0, 196},
    { 0, 0x6f, 0, 185},
    { 0, 0x6f, 8, 187},
    { 0, 0x6f, 0, 184},
    { 0, 0x6f, 0, 193},
    { 0, 0x6f, 0, 192},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 192},
    { 0, 0x6f, 0, 194},
    { 0, 0x6f, 0, 194},
    // 690: Local time: 01:02:00 PM
    { 0, 0x6f, 0, 194},
    { 0, 0x6f, 0, 193},
    { 0, 0x6f, 0, 192},
    { 0, 0x6f, 0, 192},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    // 705: Local time: 01:17:00 PM
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    // 720: Local time: 01:32:00 PM
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 191},
    // 735: Local time: 01:47:00 PM
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 192},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 43, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    // 750: Local time: 02:02:00 PM
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 192},
    { 0, 0x6f, 0, 192},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 190},
    { 0, 0x6f, 0, 191},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    { 0, 0x6f, 0, 189},
    // 765: Local time: 02:17:00 PM
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    // 780: Local time: 02:33:00 PM
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 188},
    // 795: Local time: 02:48:00 PM
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 186},
    // 810: Local time: 03:03:00 PM
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    // 825: Local time: 03:18:00 PM
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 185},
    { 0, 0x6f, 0, 185},
    { 0, 0x6f, 0, 184},
    { 0, 0x6f, 0, 184},
    { 0, 0x6f, 0, 184},
    // 840: Local time: 03:33:00 PM
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 185},
    { 0, 0x6f, 0, 185},
    { 0, 0x6f, 0, 185},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 184},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    // 855: Local time: 03:48:00 PM
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 183},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    // 870: Local time: 04:03:00 PM
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 182},
    { 0, 0x6f, 0, 181},
    { 0, 0x6f, 0, 181},
    { 0, 0x6f, 0, 181},
    { 0, 0x6f, 0, 181},
    { 0, 0x6f, 0, 180},
    { 0, 0x6f, 0, 180},
    { 0, 0x6f, 0, 180},
    { 0, 0x6f, 0, 180},
    { 0, 0x6f, 0, 180},
    { 0, 0x6f, 0, 180},
    { 0, 0x6f, 0, 179},
    { 0, 0x6f, 0, 179},
    // 885: Local time: 04:18:00 PM
    { 0, 0x6f, 0, 178},
    { 0, 0x6f, 0, 178},
    { 0, 0x6f, 0, 178},
    { 0, 0x6f, 0, 179},
    { 0, 0x6f, 0, 179},
    { 0, 0x6f, 0, 179},
    { 0, 0x6f, 0, 179},
    { 0, 0x6f, 0, 179},
    { 0, 0x6f, 0, 178},
    { 0, 0x6f, 0, 178},
    { 0, 0x6f, 0, 178},
    { 0, 0x6f, 0, 178},
    { 0, 0x6f, 0, 178},
    { 0, 0x6f, 0, 177},
    { 0, 0x6f, 0, 177},
    // 900: Local time: 04:33:00 PM
    { 0, 0x6f, 0, 177},
    { 0, 0x6f, 0, 177},
    { 0, 0x6f, 0, 177},
    { 0, 0x6f, 0, 176},
    { 0, 0x6f, 0, 176},
    { 0, 0x6f, 0, 176},
    { 0, 0x6f, 0, 175},
    { 0, 0x6f, 0, 175},
    { 0, 0x6f, 0, 175},
    { 0, 0x6f, 0, 174},
    { 0, 0x6f, 0, 173},
    { 0, 0x6f, 0, 173},
    { 0, 0x6f, 0, 172},
    { 0, 0x6f, 0, 172},
    { 0, 0x6f, 0, 172},
    // 915: Local time: 04:48:00 PM
    { 0, 0x6f, 0, 171},
    { 0, 0x6f, 0, 172},
    { 0, 0x6f, 0, 172},
    { 0, 0x6f, 0, 171},
    { 0, 0x6f, 0, 171},
    { 0, 0x6f, 0, 170},
    { 0, 0x6f, 0, 170},
    { 0, 0x6f, 0, 169},
    { 0, 0x6f, 0, 169},
    { 0, 0x6f, 0, 168},
    { 0, 0x6f, 0, 167},
    { 0, 0x6f, 0, 166},
    { 0, 0x6f, 0, 165},
    { 0, 0x6f, 0, 165},
    { 0, 0x6f, 0, 164},
    // 930: Local time: 05:03:00 PM
    { 0, 0x6f, 0, 164},
    { 0, 0x6f, 0, 163},
    { 0, 0x6f, 0, 162},
    { 0, 0x6f, 0, 161},
    { 0, 0x6f, 0, 161},
    { 0, 0x6f, 0, 160},
    { 0, 0x6f, 0, 160},
    { 0, 0x6f, 0, 159},
    { 0, 0x6f, 0, 159},
    { 0, 0x6f, 0, 158},
    { 0, 0x6f, 0, 157},
    { 0, 0x6f, 0, 156},
    { 0, 0x6f, 0, 155},
    { 0, 0x6f, 0, 155},
    { 0, 0x6f, 0, 154},
    // 945: Local time: 05:18:00 PM
    { 0, 0x6f, 0, 154},
    { 0, 0x6f, 0, 153},
    { 0, 0x6f, 0, 152},
    { 0, 0x6f, 0, 152},
    { 0, 0x6f, 0, 186},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 188},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    // 960: Local time: 05:33:00 PM
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6f, 0, 187},
    { 0, 0x6e, 1044, 184},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 182},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 182},
    // 975: Local time: 05:48:00 PM
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 178},
    { 0, 0x59, 1, 186},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 183},
    // 990: Local time: 06:04:00 PM
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 182},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 183},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 183},
    // 1005: Local time: 06:19:00 PM
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 183},
    { 0, 0x59, 0, 149},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 149},
    { 0, 0x59, 0, 146},
    { 0, 0x59, 0, 149},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 149},
    { 0, 0x59, 0, 146},
    // 1020: Local time: 06:35:00 PM
    { 0, 0x59, 0, 149},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 149},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 146},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 149},
    { 0, 0x59, 0, 183},
    { 0, 0x59, 0, 186},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 184},
    // 1035: Local time: 06:50:00 PM
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 189},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 184},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 184},
    // 1050: Local time: 07:05:00 PM
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 185},
    // 1065: Local time: 07:20:00 PM
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 185},
    // 1080: Local time: 07:35:00 PM
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 185},
    // 1095: Local time: 07:50:00 PM
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 187},
    { 0, 0x59, 0, 188},
    { 0, 0x59, 0, 185},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 178},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    // 1110: Local time: 08:05:00 PM
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    // 1125: Local time: 08:20:00 PM
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 176},
    // 1140: Local time: 08:35:00 PM
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    // 1155: Local time: 08:50:00 PM
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    // 1170: Local time: 09:05:00 PM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 178},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 175},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 176},
    // 1185: Local time: 09:20:00 PM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 178},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 176},
    // 1200: Local time: 09:35:00 PM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 166},
    // 1215: Local time: 09:50:00 PM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    // 1230: Local time: 10:05:00 PM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 176},
    // 1245: Local time: 10:20:00 PM
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    // 1260: Local time: 10:35:00 PM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    // 1275: Local time: 10:50:00 PM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    // 1290: Local time: 11:05:00 PM
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 176},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 176},
    // 1305: Local time: 11:20:00 PM
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    // 1320: Local time: 11:35:00 PM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    // 1335: Local time: 11:50:00 PM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 179},
    { 0, 0x59, 0, 177},
    // 1350: Local time: 12:05:00 AM
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 181},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 180},
    { 0, 0x59, 0, 177},
    { 0, 0x59, 0, 147},
    { 0, 0x59, 0, 147},
    { 8, 0x5a, 877, 170},
    { 0, 0x87, 5871, 147},
    { 0, 0x16, 770, 144},
    { 0, 0x16, 0, 147},
    { 0, 0x25, 2455, 149},
    { 0, 0x54, 0, 126},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 146},
    // 1365: Local time: 12:19:00 AM
    { 0, 0x54, 0, 149},
    { 0, 0x54, 12, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 147},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 146},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 5, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 147},
    // 1380: Local time: 12:34:00 AM
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 1206, 148},
    { 0, 0x54, 0, 147},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 147},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 146},
    // 1395: Local time: 12:49:00 AM
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 150},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 146},
    { 0, 0x54, 0, 150},
    { 0, 0x54, 0, 150},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 149},
    { 0, 0x54, 0, 147},
    { 0, 0x54, 0, 150},
    { 0, 0x64, 734, 150},
    { 0, 0x63, 0, 149},
    { 0, 0x63, 0, 149},
    { 0, 0x63, 0, 147},
    // 1410: Local time: 01:04:00 AM
    { 0, 0x63, 0, 150},
    { 0, 0x63, 18, 149},
    { 0, 0x63, 803, 149},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 75, 146},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 148},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 146},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 148},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 146},
    // 1425: Local time: 01:19:00 AM
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 149},
    { 0, 0x15, 1018, 145},
    { 0, 0x7, 0, 148},
    { 0, 0x7, 0, 148},
    { 0, 0x7, 0, 149},
    { 0, 0x6, 0, 149},
    { 0, 0x6, 0, 146},
    { 0, 0x6, 0, 149},
    { 0, 0x6, 0, 149},
    { 0, 0x6, 0, 149},
    { 0, 0x7, 0, 149},
    { 0, 0x7, 0, 147},
    // 1440: Local time: 01:34:00 AM
    { 0, 0x7, 0, 149},
    { 0, 0x7, 0, 149},
    { 0, 0x7, 0, 150},
    { 0, 0x7, 0, 149},
    { 0, 0xb, 781, 147},
    { 0, 0x1c, 0, 149},
    { 0, 0x1c, 0, 150},
    { 0, 0x1c, 0, 149},
    { 0, 0x1c, 0, 149},
    { 0, 0x1c, 0, 147},
    { 0, 0x1c, 0, 150},
    { 0, 0xc, 815, 149},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 147},
    // 1455: Local time: 01:49:00 AM
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 147},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 149},
    { 0, 0x44, 1, 149},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 147},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 150},
    { 0, 0x44, 0, 147},
    // 1470: Local time: 02:04:00 AM
    { 0, 0x34, 1791, 152},
    { 0, 0x6b, 0, 152},
    { 0, 0x6b, 0, 152},
    { 0, 0x6b, 0, 152},
    { 0, 0x6b, 0, 149},
    { 0, 0x6b, 0, 152},
    { 0, 0x6b, 0, 151},
    { 0, 0x6b, 10, 151},
    { 0, 0x6b, 0, 151},
    { 0, 0x6b, 0, 148},
    { 0, 0x6b, 0, 151},
    { 0, 0x6b, 0, 151},
    { 0, 0x6b, 0, 151},
    { 0, 0x6b, 0, 151},
    { 0, 0x6b, 0, 148},
    // 1485: Local time: 02:19:00 AM
    { 0, 0x6b, 0, 151},
    { 0, 0x6b, 0, 151},
    { 0, 0x6b, 1350, 148},
    { 0, 0x34, 662, 148},
    { 0, 0x35, 17, 146},
    { 0, 0x35, 0, 148},
    { 0, 0x35, 0, 148},
    { 0, 0x35, 0, 148},
    { 0, 0x35, 0, 148},
    { 0, 0x42, 2312, 147},
    { 0, 0x6f, 0, 150},
    { 0, 0x6f, 0, 150},
    { 0, 0x6f, 0, 150},
    { 0, 0x6f, 0, 150},
    { 0, 0x60, 777, 147},
    // 1500: Local time: 02:34:00 AM
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 148},
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 151},
    { 0, 0x61, 0, 147},
    { 0, 0x61, 0, 151},
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 150},
    { 0, 0x61, 0, 147},
    // 1515: Local time: 02:49:00 AM
    { 0, 0x61, 0, 150},
    { 0, 0x60, 817, 150},
    { 0, 0x7e, 0, 151},
    { 0, 0x7e, 0, 150},
    { 0, 0x7e, 0, 147},
    { 0, 0x7e, 0, 150},
    { 0, 0x7e, 0, 151},
    { 0, 0x7e, 0, 150},
    { 0, 0x7e, 0, 150},
    { 0, 0x7e, 0, 148},
    { 0, 0x7e, 0, 150},
    { 0, 0x7e, 0, 150},
    { 0, 0x6e, 1201, 148},
    { 0, 0xb, 0, 149},
    { 0, 0xb, 0, 146},
    // 1530: Local time: 03:04:00 AM
    { 0, 0xb, 0, 149},
    { 0, 0xb, 0, 149},
    { 0, 0xb, 0, 149},
    { 0, 0xb, 0, 149},
    { 0, 0xb, 0, 147},
    { 0, 0xb, 0, 149},
    { 0, 0xb, 0, 150},
    { 0, 0xb, 0, 149},
    { 0, 0x1a, 903, 152},
    { 0, 0x5a, 166, 149},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 220, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 150},
    { 0, 0x5a, 0, 147},
    // 1545: Local time: 03:19:01 AM
    { 0, 0x5a, 0, 150},
    { 0, 0x5a, 1146, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 149},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 149},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 148},
    // 1560: Local time: 03:34:00 AM
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 148},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 148},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 148},
    // 1575: Local time: 03:49:00 AM
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 148},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x5a, 0, 151},
    { 0, 0x69, 1491, 151},
    { 0, 0x78, 0, 149},
    { 0, 0x78, 0, 151},
    { 0, 0x78, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 148},
    // 1590: Local time: 04:04:00 AM
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 148},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 148},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 149},
    // 1605: Local time: 04:19:00 AM
    { 0, 0x77, 0, 151},
    { 0, 0x77, 0, 152},
    { 0, 0x77, 0, 151},
    { 0, 0x78, 1383, 151},
    { 0, 0x78, 0, 149},
    { 0, 0x4c, 696, 148},
    { 0, 0x3d, 0, 148},
    { 9, 0x4c, 400, 151},
    { 0, 0x79, 0, 151},
    { 0, 0x79, 0, 148},
    { 0, 0x79, 0, 151},
    { 0, 0x79, 29, 151},
    { 0, 0x79, 0, 151},
    { 0, 0x5c, 659, 148},
    { 0, 0x5c, 0, 145},
    // 1620: Local time: 04:34:00 AM
    { 0, 0x5c, 0, 148},
    { 0, 0x6d, 760, 149},
    { 0, 0x72, 73, 149},
    { 0, 0x72, 0, 149},
    { 0, 0x72, 29, 147},
    { 0, 0x72, 0, 150},
    { 0, 0x72, 0, 150},
    { 0, 0x72, 0, 150},
    { 0, 0x72, 0, 149},
    { 0, 0x72, 0, 146},
    { 0, 0x72, 0, 150},
    { 0, 0x71, 292, 150},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 140},
    // 1635: Local time: 04:49:00 AM
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 147},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 148},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 0, 150},
    { 0, 0x70, 1, 150},
    { 0, 0x7f, 0, 151},
    { 0, 0x7f, 0, 148},
    // 1650: Local time: 05:04:00 AM
    { 0, 0x7f, 0, 151},
    { 0, 0x7f, 0, 150},
    { 0, 0x7f, 0, 151},
    { 0, 0x7f, 0, 151},
    { 0, 0x7f, 0, 148},
    { 0, 0x7f, 0, 150},
    { 0, 0xd, 1159, 149},
    { 0, 0xb, 0, 149},
    { 0, 0xb, 0, 150},
    { 0, 0xb, 0, 147},
    { 0, 0xb, 0, 150},
    { 0, 0xb, 0, 149},
    { 0, 0xb, 0, 149},
    { 0, 0xb, 0, 150},
    { 0, 0xb, 0, 147},
    // 1665: Local time: 05:19:00 AM
    { 0, 0x49, 1115, 151},
    { 0, 0x59, 0, 150},
    { 0, 0x59, 0, 151},
    { 0, 0x59, 0, 151},
    { 0, 0x59, 0, 148},
    { 0, 0x59, 0, 151},
    { 0, 0x59, 0, 149},
    { 0, 0x59, 0, 151},
    { 0, 0x59, 0, 151},
    { 0, 0x59, 0, 147},
    { 0, 0x59, 0, 150},
    { 0, 0x59, 0, 149},
    { 0, 0x59, 0, 151},
    { 0, 0x59, 0, 150},
    { 0, 0x59, 0, 148},
    // 1680: Local time: 05:34:00 AM
    { 0, 0x59, 0, 150},
    { 0, 0x59, 0, 150},
    { 0, 0x59, 0, 151},
    { 0, 0x5a, 1421, 148},
    { 0, 0x3c, 0, 145},
    { 0, 0x4c, 2462, 149},
    { 0, 0x7f, 0, 149},
    { 0, 0x7f, 0, 149},
    { 0, 0x71, 376, 149},
    { 0, 0x71, 0, 147},
    { 0, 0x71, 0, 149},
    { 8, 0x70, 1841, 149},
    { 0, 0x7f, 0, 150},
    { 0, 0x7f, 0, 150},
    { 0, 0x7f, 0, 147},
    // 1695: Local time: 05:49:00 AM
    { 0, 0x7f, 0, 150},
    { 0, 0x7f, 0, 150},
    { 0, 0x70, 65, 150},
    { 0, 0x71, 0, 149},
    { 0, 0x70, 376, 153},
    { 0, 0x46, 1378, 150},
    { 0, 0x45, 0, 150},
    { 0, 0x45, 22, 150},
    { 0, 0x45, 24, 150},
    { 0, 0x45, 0, 147},
    { 0, 0x45, 86, 149},
    { 0, 0x45, 144, 149},
    { 0, 0x45, 36, 150},
    { 0, 0x45, 0, 150},
    { 0, 0x45, 34, 147},
    // 1710: Local time: 06:04:00 AM
    { 0, 0x55, 0, 150},
    { 0, 0x57, 1397, 152},
    { 0, 0x45, 0, 150},
    { 0, 0x55, 24, 149},
    { 0, 0x55, 0, 147},
    { 0, 0x55, 12, 150},
    { 0, 0x55, 0, 150},
    { 0, 0x55, 55, 149},
    { 0, 0x55, 10, 150},
    { 0, 0x55, 0, 147},
    { 0, 0x55, 191, 149},
    { 0, 0x6a, 517, 150},
    { 0, 0x6a, 0, 151},
    { 0, 0x6a, 0, 151},
    { 0, 0x6a, 0, 148},
    // 1725: Local time: 06:19:00 AM
    { 0, 0x6a, 182, 151},
    { 0, 0x6a, 0, 151},
    { 0, 0x6a, 0, 152},
    { 0, 0x5a, 15, 151},
    { 0, 0x6a, 0, 150},
    { 0, 0x6a, 0, 152},
    { 0, 0x5a, 22, 152},
    { 0, 0x5a, 5, 153},
    { 0, 0x5a, 0, 153},
    { 0, 0x5a, 0, 150},
    { 0, 0x5a, 0, 153},
    { 0, 0x5a, 0, 153},
    { 0, 0x5a, 0, 154},
    { 0, 0x6a, 0, 154},
    { 0, 0x7b, 3818, 147},
    // 1740: Local time: 06:34:00 AM
    { 0, 0x81, 0, 150},
    { 0, 0x81, 0, 150},
    { 0, 0x81, 0, 150},
    { 0, 0x81, 0, 151},
    { 0, 0x81, 0, 148},
    { 0, 0x80, 862, 152},
    { 0, 0x71, 1, 152},
    { 0, 0x70, 56, 151},
    { 0, 0x8f, 0, 152},
    { 0, 0x8f, 0, 150},
    { 0, 0x8f, 215, 150},
    { 0, 0x84, 17, 153},
    { 0, 0x6f, 1825, 149},
    { 0, 0x6f, 0, 150},
    { 0, 0x6f, 0, 147},
    // 1755: Local time: 06:49:00 AM
    { 0, 0x6f, 0, 150},
    { 0, 0x6f, 0, 149},
    { 0, 0x5c, 2369, 158},
    { 0, 0x5a, 1151, 159},
    { 0, 0x5a, 6, 155},
    { 0, 0x5a, 1123, 154},
    { 0, 0x5a, 44, 151},
    { 0, 0x5a, 132, 151},
    { 0, 0x4a, 1, 156},
    { 0, 0x4a, 0, 154},
    { 0, 0x4a, 0, 159},
    { 0, 0x4a, 476, 157},
    { 0, 0x4a, 438, 150},
    { 0, 0x4a, 0, 153},
    { 0, 0x5a, 142, 150},
    // 1770: Local time: 07:04:00 AM
    { 0, 0x5a, 435, 160},
    { 0, 0x5a, 25, 160},
    { 0, 0x5a, 0, 161},
    { 0, 0x4a, 545, 162},
    { 0, 0x59, 0, 160},
    { 0, 0x49, 0, 163},
    { 0, 0x49, 0, 164},
    { 0, 0x58, 5919, 212},
    { 10, 0x52, 5809, 195},
    { 0, 0x48, 507, 193},
    { 0, 0x56, 674, 198},
    { 0, 0x65, 0, 199},
    { 0, 0x47, 474, 192},
    { 0, 0x48, 191, 196},
    { 0, 0x56, 548, 196},
    // 1785: Local time: 07:19:00 AM
    { 8, 0x54, 1870, 198},
    { 8, 0x54, 1693, 195},
    { 0, 0x55, 0, 195},
    { 0, 0x55, 0, 196},
    { 0, 0x55, 108, 194},
    { 0, 0x53, 2954, 195},
    { 0, 0x43, 1545, 178},
    { 0, 0x45, 2154, 192},
    { 0, 0x42, 0, 193},
    { 0, 0x45, 1836, 195},
    { 0, 0x47, 693, 197},
    { 0, 0x54, 1299, 197},
    { 0, 0x54, 82, 189},
    { 0, 0x48, 838, 196},
    { 0, 0x67, 524, 205},
    // 1800: Local time: 07:34:00 AM
    { 0, 0x54, 3341, 197},
    { 0, 0x54, 0, 198},
    { 0, 0x54, 0, 197},
    { 0, 0x54, 0, 197},
    { 0, 0x54, 5, 194},
    { 0, 0x53, 1029, 194},
    { 0, 0x43, 2763, 197},
    { 0, 0x53, 1139, 197},
    { 0, 0x52, 662, 194},
    { 0, 0x34, 3118, 183},
    { 0, 0x35, 2632, 189},
    { 0, 0x35, 4728, 184},
    { 0, 0x44, 3785, 190},
    { 0, 0x44, 3391, 189},
    { 0, 0x34, 3290, 192},
    // 1815: Local time: 07:49:00 AM
    { 0, 0x35, 2107, 188},
    { 0, 0x35, 1713, 190},
    { 0, 0x25, 234, 190},
    { 0, 0x25, 196, 190},
    { 0, 0x26, 275, 187},
    { 0, 0x16, 82, 189},
    { 0, 0x26, 641, 194},
    { 0, 0x26, 153, 191},
    { 0, 0x26, 557, 187},
    { 8, 0x25, 464, 187},
    { 0, 0x25, 483, 196},
    { 0, 0x34, 1701, 187},
    { 0, 0x25, 2656, 190},
    { 0, 0x25, 0, 191},
    { 0, 0x25, 0, 187},
    // 1830: Local time: 08:04:01 AM
    { 0, 0x34, 1221, 196},
    { 0, 0x53, 165, 196},
    { 0, 0x43, 906, 194},
    { 0, 0x44, 1385, 190},
    { 0, 0x44, 2928, 193},
    { 0, 0x44, 3866, 193},
    { 0, 0x33, 4759, 201},
    { 0, 0x15, 5255, 203},
    { 0, 0x42, 6871, 183},
    { 0, 0x32, 7191, 167},
    { 0, 0x43, 11279, 175},
    { 13, 0x42, 8338, 184},
    { 13, 0x33, 6654, 206},
    { 8, 0x53, 8299, 194},
    { 39, 0x41, 3488, 161},
    // 1845: Local time: 08:19:00 AM
    { 8, 0x41, 7380, 188},
    { 16, 0x41, 5487, 178},
    { 13, 0x51, 4517, 133},
    { 0, 0x70, 1992, 225},
    { 47, 0x60, 2400, 215},
    { 116, 0x40, 6191, 194},
    { 110, 0x40, 5014, 192},
    { 119, 0x50, 4057, 219},
    { 114, 0x4f, 5857, 210},
    { 119, 0x40, 5288, 213},
    { 113, 0x40, 5136, 208},
    { 121, 0x4f, 4828, 235},
    { 110, 0x40, 6611, 230},
    { 120, 0x40, 5644, 223},
    { 109, 0x40, 4043, 222},
    // 1860: Local time: 08:33:00 AM
    { 72, 0x40, 2760, 219},
    { 107, 0x40, 5835, 222},
    { 111, 0x40, 5219, 213},
    { 58, 0x42, 5210, 201},
    { 50, 0x41, 6878, 222},
    { 75, 0x41, 5663, 193},
    { 0, 0x66, 5375, 199},
    { 0, 0x53, 2526, 196},
    { 0, 0x63, 1794, 196},
    { 0, 0x72, 0, 196},
    { 0, 0x72, 0, 193},
    { 0, 0x72, 0, 197},
    { 0, 0x72, 271, 197},
    { 0, 0x72, 84, 194},
    { 0, 0x64, 850, 193},
    // 1875: Local time: 08:48:00 AM
    { 0, 0x72, 6, 192},
    { 0, 0x73, 0, 195},
    { 0, 0x63, 825, 198},
    { 0, 0x52, 12, 199},
    { 0, 0x53, 20, 196},
    { 0, 0x53, 1008, 189},
    { 0, 0x63, 1555, 196},
    { 0, 0x64, 665, 199},
    { 0, 0x53, 1041, 197},
    { 0, 0x53, 1947, 195},
    { 0, 0x53, 99, 196},
    { 0, 0x53, 1223, 192},
    { 0, 0x42, 49, 199},
    { 0, 0x42, 5, 191},
    { 7, 0x55, 437, 193},
    // 1890: Local time: 09:03:00 AM
    { 0, 0x64, 1469, 195},
    { 0, 0x55, 196, 196},
    { 0, 0x45, 442, 194},
    { 0, 0x62, 412, 196},
    { 0, 0x63, 507, 201},
    { 0, 0x46, 693, 197},
    { 0, 0x55, 555, 200},
    { 0, 0x53, 579, 196},
    { 0, 0x62, 480, 199},
    { 0, 0x56, 645, 198},
    { 0, 0x56, 476, 197},
    { 0, 0x46, 512, 199},
    { 0, 0x56, 764, 197},
    { 0, 0x65, 1894, 197},
    { 0, 0x64, 480, 197},
    // 1905: Local time: 09:18:00 AM
    { 0, 0x66, 1512, 194},
    { 0, 0x65, 1101, 195},
    { 0, 0x53, 844, 197},
    { 0, 0x46, 858, 197},
    { 9, 0x56, 3594, 195},
    { 0, 0x53, 84, 192},
    { 0, 0x53, 117, 192},
    { 0, 0x53, 158, 192},
    { 0, 0x54, 905, 203},
    { 9, 0x46, 283, 197},
    { 12, 0x56, 789, 194},
    { 0, 0x56, 2944, 190},
    { 106, 0x31, 6205, 214},
    { 45, 0x23, 5165, 230},
    { 100, 0x31, 5284, 223},
    // 1920: Local time: 09:33:00 AM
    { 108, 0x31, 4971, 215},
    { 108, 0x31, 4928, 210},
    { 108, 0x41, 4797, 206},
    { 107, 0x31, 4637, 181},
    { 77, 0x31, 4154, 213},
    { 109, 0x31, 5045, 214},
    { 69, 0x31, 8715, 227},
    { 75, 0x40, 8316, 178},
    { 0, 0x42, 4110, 212},
    { 8, 0x44, 2775, 212},
    { 0, 0x44, 60, 205},
    { 0, 0x45, 2173, 216},
    { 0, 0x55, 266, 218},
    { 0, 0x46, 36, 219},
    { 0, 0x44, 6669, 204},
    // 1935: Local time: 09:48:00 AM
    { 0, 0x13, 3353, 205},
    { 115, 0x40, 9164, 224},
    { 42, 0x41, 8096, 198},
    { 19, 0x22, 6640, 186},
    { 0, 0x35, 2424, 185},
    { 0, 0x36, 6, 181},
    { 0, 0x36, 340, 184},
    { 0, 0x46, 820, 183},
    { 0, 0x36, 590, 183},
    { 0, 0x36, 469, 184},
    { 0, 0x36, 227, 181},
    { 0, 0x35, 1386, 184},
    { 45, 0x33, 7834, 176},
    { 0, 0x64, 1183, 194},
    { 8, 0x65, 2484, 193},
    // 1950: Local time: 10:03:00 AM
    { 0, 0x55, 788, 169},
    { 0, 0x55, 1700, 197},
    { 0, 0x44, 822, 197},
    { 0, 0x54, 777, 180},
    { 0, 0x64, 108, 180},
    { 7, 0x65, 1980, 177},
    { 0, 0x64, 263, 179},
    { 0, 0x74, 172, 181},
    { 0, 0x74, 63, 179},
    { 0, 0x55, 1584, 195},
    { 0, 0x54, 1376, 197},
    { 0, 0x57, 416, 211},
    { 0, 0x58, 2242, 184},
    { 0, 0x58, 1347, 198},
    { 0, 0x57, 712, 199},
    // 1965: Local time: 10:18:00 AM
    { 0, 0x47, 1046, 185},
    { 0, 0x55, 1610, 191},
    { 0, 0x37, 684, 195},
    { 0, 0x55, 504, 165},
    { 0, 0x55, 1540, 165},
    { 0, 0x55, 564, 190},
    { 0, 0x46, 922, 192},
    { 0, 0x37, 889, 194},
    { 0, 0x45, 407, 195},
    { 0, 0x45, 311, 195},
    { 22, 0x33, 5059, 190},
    { 69, 0x23, 3037, 187},
    { 0, 0x34, 2378, 195},
    { 0, 0x63, 3481, 208},
    { 0, 0x55, 2835, 200},
    // 1980: Local time: 10:33:00 AM
    { 0, 0x55, 3988, 198},
    { 0, 0x34, 1972, 179},
    { 0, 0x23, 991, 189},
    { 0, 0x44, 380, 191},
    { 0, 0x44, 657, 199},
    { 0, 0x47, 437, 196},
    { 0, 0x57, 144, 197},
    { 0, 0x47, 629, 198},
    { 0, 0x46, 844, 182},
    { 0, 0x24, 473, 180},
    { 0, 0x34, 671, 196},
    { 8, 0x5a, 7597, 208},
    { 0, 0x43, 3414, 210},
    { 82, 0x23, 5599, 191},
    { 93, 0x24, 3052, 198},
    // 1995: Local time: 10:48:00 AM
    { 15, 0x33, 5047, 201},
    { 0, 0x76, 5850, 186},
    { 0, 0x5c, 3488, 177},
    { 0, 0x5d, 1820, 193},
    { 0, 0x58, 1163, 171},
    { 0, 0x47, 1123, 181},
    { 0, 0x57, 1173, 181},
    { 0, 0x43, 1010, 182},
    { 0, 0x53, 474, 215},
    { 0, 0x75, 132, 207},
    { 0, 0x66, 769, 204},
    { 0, 0x75, 887, 183},
    { 0, 0x7a, 2061, 206},
    { 0, 0x76, 0, 205},
    { 0, 0x75, 767, 184},
    // 2010: Local time: 11:03:00 AM
    { 0, 0x53, 0, 181},
    { 0, 0x58, 1559, 197},
    { 0, 0x58, 1011, 190},
    { 0, 0x57, 1283, 197},
    { 0, 0x47, 1054, 183},
    { 0, 0x34, 208, 181},
    { 0, 0x44, 1042, 186},
    { 8, 0x64, 920, 183},
    { 0, 0x54, 13, 184},
    { 0, 0x64, 1615, 195},
    { 0, 0x55, 2761, 189},
    { 0, 0x46, 688, 192},
    { 0, 0x57, 2101, 182},
    { 0, 0x45, 3338, 187},
    { 0, 0x71, 1139, 218},
    // 2025: Local time: 11:18:00 AM
    { 0, 0x53, 1173, 186},
    { 0, 0x57, 493, 196},
    { 0, 0x6a, 3285, 184},
    { 0, 0x47, 1720, 190},
    { 0, 0x47, 1810, 194},
    { 0, 0x64, 1622, 191},
    { 0, 0x48, 201, 195},
    { 0, 0x55, 431, 210},
    { 0, 0x57, 765, 194},
    { 0, 0x65, 505, 213},
    { 0, 0x64, 0, 214},
    { 0, 0x64, 110, 216},
    { 0, 0x64, 660, 211},
    { 18, 0x44, 7839, 196},
    { 13, 0x35, 7628, 194},
    // 2040: Local time: 11:33:00 AM
    { 0, 0x56, 817, 189},
    { 0, 0x56, 1414, 200},
    { 0, 0x64, 0, 193},
    { 0, 0x64, 0, 194},
    { 0, 0x64, 32, 201},
    { 0, 0x64, 0, 198},
    { 0, 0x55, 1140, 192},
    { 0, 0x62, 941, 197},
    { 0, 0x71, 3, 198},
    { 0, 0x71, 12, 199},
    { 0, 0x71, 0, 198},
    { 0, 0x72, 753, 194},
    { 0, 0x48, 917, 190},
    { 0, 0x64, 382, 181},
    { 0, 0x64, 0, 214},
    // 2055: Local time: 11:48:00 AM
    { 0, 0x64, 18, 214},
    { 0, 0x64, 743, 191},
    { 0, 0x57, 645, 181},
    { 0, 0x47, 295, 180},
    { 0, 0x55, 483, 188},
    { 0, 0x54, 547, 197},
    { 10, 0x53, 3560, 191},
    { 10, 0x54, 3525, 203},
    { 0, 0x75, 235, 197},
    { 0, 0x55, 972, 176},
    { 0, 0x16, 1452, 187},
    { 0, 0x45, 5300, 197},
    { 0, 0x37, 385, 195},
    { 0, 0x37, 309, 204},
    { 0, 0x37, 559, 212},
    // 2070: Local time: 12:03:00 PM
    { 0, 0x46, 2070, 193},
    { 16, 0x34, 2407, 196},
    { 0, 0x33, 2348, 193},
    { 0, 0x42, 1455, 209},
    { 0, 0x33, 1531, 190},
    { 0, 0x31, 528, 188},
    { 0, 0x22, 1047, 189},
    { 0, 0x24, 502, 197},
    { 0, 0x24, 437, 194},
    { 26, 0x14, 1256, 221},
    { 7, 0x42, 1722, 205},
    { 0, 0x32, 130, 205},
    { 0, 0x32, 1073, 201},
    { 0, 0x42, 12, 203},
    { 0, 0x53, 227, 203},
    // 2085: Local time: 12:18:00 PM
    { 0, 0x53, 99, 188},
    { 0, 0x43, 244, 193},
    { 0, 0x53, 271, 181},
    { 7, 0x52, 605, 192},
    { 0, 0x52, 163, 199},
    { 0, 0x52, 98, 203},
    { 0, 0x52, 473, 205},
    { 0, 0x52, 137, 190},
    { 13, 0x52, 4358, 202},
    { 13, 0x23, 739, 197},
    { 0, 0x24, 538, 193},
    { 0, 0x24, 366, 195},
    { 0, 0x15, 103, 198},
    { 0, 0x16, 72, 196},
    { 0, 0x16, 206, 199},
    // 2100: Local time: 12:33:00 PM
    { 0, 0x15, 154, 195},
    { 0, 0x15, 382, 197},
    { 8, 0x32, 6096, 205},
    { 0, 0x26, 1285, 206},
    { 0, 0x37, 944, 205},
    { 0, 0x36, 263, 205},
    { 0, 0x36, 1584, 191},
    { 0, 0x29, 204, 189},
    { 0, 0x19, 189, 191},
    { 0, 0x26, 578, 205},
    { 0, 0x17, 922, 189},
    { 0, 0x26, 972, 190},
    { 0, 0x43, 1990, 215},
    { 0, 0x36, 2319, 188},
    { 0, 0x45, 1006, 198},
    // 2115: Local time: 12:48:00 PM
    { 0, 0x44, 29, 190},
    { 0, 0x45, 612, 185},
    { 0, 0x35, 598, 186},
    { 0, 0x47, 2827, 228},
    { 0, 0x56, 3250, 190},
    { 9, 0x45, 1577, 185},
    { 0, 0x55, 867, 189},
    { 0, 0x45, 1240, 190},
    { 0, 0x55, 3, 195},
    { 0, 0x45, 1608, 198},
    { 0, 0x44, 0, 196},
    { 0, 0x35, 812, 194},
    { 0, 0x45, 4045, 197},
    { 0, 0x35, 1269, 194},
    { 0, 0x44, 1727, 192},
    // 2130: Local time: 01:03:00 PM
    { 0, 0x53, 2312, 194},
    { 0, 0x43, 681, 202},
    { 0, 0x66, 2684, 227},
    { 0, 0x63, 2906, 191},
    { 0, 0x62, 1753, 208},
    { 0, 0x70, 1873, 189},
    { 0, 0x63, 2698, 191},
    { 0, 0x53, 1686, 191},
    { 8, 0x44, 2748, 196},
    { 0, 0x43, 533, 201},
    { 0, 0x63, 1801, 190},
    { 0, 0x53, 2039, 188},
    { 0, 0x71, 1338, 201},
    { 0, 0x7f, 0, 200},
    { 0, 0x7f, 17, 198},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

